Package org.silverpeas.looks.aurora

## Enum NewsList.RenderingType

- java.lang.Object
- - java.lang.Enum<NewsList.RenderingType>
  - - org.silverpeas.looks.aurora.NewsList.RenderingType

- All Implemented Interfaces:
    `Serializable`, `Comparable<NewsList.RenderingType>`
  Enclosing class:
    NewsList

      public static enum NewsList.RenderingType
      extends Enum<NewsList.RenderingType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAROUSEL` |
    `LIST` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isCarousel()` |
    `static NewsList.RenderingType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NewsList.RenderingType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIST

          public static final NewsList.RenderingType LIST

    - #### CAROUSEL

          public static final NewsList.RenderingType CAROUSEL

  - ### Method Detail

    - #### values

          public static NewsList.RenderingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NewsList.RenderingType c : NewsList.RenderingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NewsList.RenderingType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isCarousel

          public boolean isCarousel()